function [IsNOKscrew] = NOKscrew(imds)
    
    dataFilenames = imds.Files;
    nFiles = numel(dataFilenames);
    IsNOKscrew = zeros(1,nFiles);

%finding circles
    for k = 1:nFiles
        I = readimage(imds,k);
        Ic = imcrop(I,[375 252 80 50]);
        [centers,radii] = imfindcircles(Ic,[6 10],'ObjectPolarity','dark',...
        'Sensitivity',0.9);

        if radii
            IsNOKscrew(k) = 1;

        end

    end
end

